## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class AnnotationDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.AnnotationDocType

    public class AnnotationDocType

extends java.lang.Object

The documentation type for annotations.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Field Summary
`protected java.util.List<NamedValueType>` | `attribute`

Constructor Summary
`AnnotationDocType()`

Method Summary
`java.lang.String` | `getAnnotationTypeName()`
`java.util.List<NamedValueType>` | `getAttributeDocs()`
`boolean` | `hasAttributeDocs()`
`void` | `setAnnotationTypeName(java.lang.String annotationTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute

    protected java.util.List<NamedValueType> attribute

Constructor Detail

### AnnotationDocType

    public AnnotationDocType()

Method Detail

### getAttributeDocs

    public java.util.List<NamedValueType> getAttributeDocs()

### hasAttributeDocs

    public boolean hasAttributeDocs()

### getAnnotationTypeName

    public java.lang.String getAnnotationTypeName()

  Returns:
    the annotationTypeName

### setAnnotationTypeName

    public void setAnnotationTypeName(java.lang.String annotationTypeName)

  Parameters:
    `annotationTypeName` - the annotationTypeName to set

Copyright © 2017 Oracle Corporation. All Rights Reserved.